PHP Manual
Prev |  | Next

# imagecreatefromxpm

(PHP 4 >= 4.0.1, PHP 5)

imagecreatefromxpm -- Create a new image from file or URL

## Description

resource imagecreatefromxpm ( string filename )

imagecreatefromxpm() returns an image identifier representing the image obtained from the given filename.

> Tip: You can use a URL as a filename with this function if the fopen wrappers have been enabled. See fopen() for more details on how to specify the filename and Appendix N for a list of supported URL protocols.

## Parameters

`filename`

  Path to the XPM image

## Return Values

Returns an image resource identifier on success, `FALSE` on errors.

## Return Values

> Note: This function is only available if PHP is compiled with the bundled version of the GD library.

Warning
Windows versions of PHP prior to PHP 4.3.0 do not support accessing remote files via this function, even if allow_url_fopen is enabled.

Prev | Home | Next
imagecreatefromxbm | Up | imagecreatetruecolor